
.quizHolder {
	padding: 36px 0px;
    background: rgba(247, 247, 247, 1);
    background-image: url(https://hmlry.fi/wp-content/themes/uncode-child/omenavisa/img/apple-bg.png);
    background-image: url(https://hmlry.fi/wp-content/themes/uncode-child/omenavisa/img/apple-bg.png), radial-gradient(ellipse at center, rgba(247, 247, 247, 0) 0%, rgba(247, 247, 247, 1) 50%, rgba(247, 247, 247, 1) 100%);
    background-size: auto 66%;
    background-repeat: repeat;
    background-position: center center;
}



.quizHolder div#scene {
    width: 90%;
    max-width: 540px;
    margin: 72px auto 9px auto;
    border: none !important;
    background-color: #fff;
	background-size:cover;
	background-repeat:no-repeat;
	background-position:center center;
	padding:0px;
	box-shadow: 10px 10px 0px rgb(199 199 199 / 50%), 0px 0px 7px rgb(0 0 0 / 10%);
    border-radius: 36px;
    border-top-right-radius: 0px;
	color:#303133;
	-webkit-font-smoothing: antialiased; /* Chrome */
	-moz-osx-font-smoothing: grayscale; /* Firefox on macOS */
}

.quizHolder div#scene .slide.start {
	animation: revealQuiz 0.5s ease-in-out;
	filter:opacity(1);
}
@keyframes revealQuiz {
	0% {filter:opacity(0);}
	100% {filter:opacity(1);} 
}

.quizHolder .option.active {background-color: yellow;}

.quizHolder .btn {padding:9px 18px;color:#fff;font-weight:400;margin:9px auto;text-transform:uppercase;background: linear-gradient(to bottom, #bfd255 0%,#8eb92a 50%,#72aa00 51%,#9ecb2d 100%);}
.quizHolder .btn:hover {cursor:pointer;background: linear-gradient(to bottom, #72aa00 51%, #9ecb2d 100%);}

.quizHolder .slide {
	text-align:center;margin:0px auto;
	background-image:url("../img/pexels-polina-tankilevitch-4110509.webp");
	background-position:center center;
	background-repeat:no-repeat;
	background-size:cover;
	height:auto;
	padding:0px;
	position:relative;
    border-radius: 36px;
    border-top-right-radius: 0px;
}

.quizHolder .content {
    padding: 50% 18px 36px 18px;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 100%);
    backdrop-filter: blur(3px);
    border-radius: 36px;
    border-top-right-radius: 0px;
}

.quizHolder img.quizImg {
    position: absolute;
    top: 20%;
    left: 50%;
    width: 75%;
    height: auto;
    aspect-ratio: 4 / 3;
    object-fit: cover;
    border: 5px solid #fff;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
    transform: translate(-50%, -50%) rotate(2deg);
}

.quizHolder .slide.appear img.quizImg {
	animation: revealImage1 0.2s ease-in-out;
	transform: translate(-50%, -50%) rotate(-2deg);
}
.quizHolder .slide.appear:nth-child(even) img.quizImg {
	animation: revealImage2 0.2s ease-in-out;
	transform: translate(-50%, -50%) rotate(2deg);
}
@keyframes revealImage1 {
	0% {transform: translate(-50%, -40%) scale(0.9) rotate(0deg);filter:opacity(0.5);}
	100% {transform: translate(-50%, -50%) scale(1) rotate(-2deg);filter:opacity(1);} 
}
@keyframes revealImage2 {
	0% {transform: translate(-50%, -40%) scale(0.9) rotate(0deg);filter:opacity(0.5);}
	100% {transform: translate(-50%, -50%) scale(1) rotate(2deg);filter:opacity(1);} 
}
.quizHolder .slide.results.appear img.quizImg {
	animation: revealFinImage 1.5s ease-in-out;
}
@keyframes revealFinImage {
	0% {transform: translate(-50%, -50%) scale(0) rotate(-5deg);filter:opacity(0);box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);} 
	40% {filter:opacity(1);} 
	80% {transform: translate(-50%, -50%) scale(1.3) rotate(0deg);box-shadow: 0px 0px 25px rgba(255, 255, 255, 0.5);} 
	100% {transform: translate(-50%, -50%) scale(1) rotate(2deg);box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);} 
}


.quizHolder span.progress {
    position: absolute;
    text-align: center;
    display: block;
    width: 100%;
    left: 0%;
    top: 13%;
    font-size: 60px;
    color: #fff;
    text-shadow: 2px 2px rgba(0, 0, 0, 0.5), 0px 0px 30px rgba(0, 0, 0, 1);
    transform: scale(1);
    animation: revealProgress 1s ease-in-out;
    font-family: 'heading';
	font-weight:400;
}
@keyframes revealProgress {
	0% {transform: scale(0.9);filter:opacity(0.5);}
	100% {transform: scale(1);filter:opacity(1);} 
}


.quizHolder .slide h2, .quizHolder .slide h3 {
    font-family: 'heading';
    font-size: 50px;
    padding: 36px 0px 9px 0px;
	margin:0px;
	font-weight:400;
}

.quizHolder .slide p {
    font-size: 18px;
    text-align: center;
    font-weight: 400;
    font-family: 'Paragraph';
    padding: 9px 0px 36px 0px;
	margin:0px;
}

.quizHolder .slide.appear .content *:not(img) {animation: appear 1s ease-in-out;}
@keyframes appear {
	0% {transform:translateY(25px);opacity:0;} 
	100% {transform:translateY(0px);opacity:1;} 
}

.quizHolder .slide ul.options {margin:0px auto;padding:0px!important;width:80%;list-style:none;}
.quizHolder .slide ul.options li.option {
	margin:2px auto;text-align:center;padding:9px;border-radius:4px;
	background: linear-gradient(to bottom, #bfd255 0%,#8eb92a 50%,#72aa00 51%,#9ecb2d 100%);
	font-size:18px;color:#fff;transition:0.2s;text-transform:uppercase;font-family:"Paragraph";font-weight:400;
	text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}
.quizHolder .slide ul.options li.option:hover {
	cursor:pointer;background: linear-gradient(to bottom, #bfd255 0%,#8eb92a 0%,#72aa00 20%,#9ecb2d 100%);
}
.quizHolder .slide.done ul.options li.option {
    pointer-events:none;
	transform:scale(0.95);
}
.quizHolder .slide ul.options li.option.active {
    background: linear-gradient(to bottom, rgba(252, 234, 187, 1) 0%, rgba(252, 205, 77, 1) 50%, rgba(248, 181, 0, 1) 51%, rgba(251, 223, 147, 1) 100%);
	transform:scale(1.05)!important;
}

.quizHolder a.logo img {
    width: 33%;
    display: block;
    max-width: 150px;
    margin: 18px auto;
	border:none!important;
}


.quizHolder #scores {font-size:12px;font-family:'Courier', monospace; display:none!important;}


/* Extra small devices (phones, 767px and down) */
@media (min-width: 360px) and (max-width: 1200px) and (min-device-pixel-ratio: 4), (min-width: 360px) and (max-width: 1000px) {
	.quizHolder {background:transparent;margin:4px;padding:0px;}
	.quizHolder div#scene {width:auto;box-shadow: 7px 7px 0px rgb(199 199 199 / 50%), 0px 0px 7px rgb(0 0 0 / 10%);}
	.quizHolder img.quizImg {top:12%;width:80%;}
	.quizHolder .slide h2, .quizHolder .slide h3 {font-size: 40px;}
	.quizHolder .slide p {font-size: 16px;}
	.quizHolder .slide ul.options {width: 100%;}
	.quizHolder span.progress {top: 5%;}
}


/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {

}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {

}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

}

/* if landscape */
@media only screen and (orientation: landscape) {

}